#include <Arduino.h>
#include <RH_ASK.h>

RH_ASK _driver;
unsigned int _output = 12;

void setup(){
	pinMode(_output, OUTPUT);
	Serial.begin(9600);
	Serial.println("Starting...");
	if (!_driver.init())
		Serial.println("init failed");
	Serial.println("Started");
}

void loop(){
	uint8_t buf[9];
	uint8_t buflen = sizeof(buf);
	if (_driver.recv(buf, &buflen)) {// Non-blocking
		Serial.print("Message: ");
		Serial.println((char *)buf);

		digitalWrite(_output, buf[8] == '1');
	}
}